
from behave import given, when, then
from random import choice
import datetime

def generate_random_datetime(format="%Y-%m-%d %H:%M:%S"):
    """
    Generate a random datetime string in the given format.
    """
    now = datetime.datetime.now()
    random_seconds = now.timestamp() - now.replace(hour=0, minute=0, second=0, microsecond=0).timestamp()
    random_datetime = now + datetime.timedelta(seconds=random_seconds)
    return random_datetime.strftime(format)



